be.ehealth.businessconnector.ehbox.v3.builders.impl

## Class ConsultationReducedMessageBuilder

- java.lang.Object
- - be.ehealth.businessconnector.ehbox.v3.builders.impl.AbstractConsultationBuilder<Message>
  - - be.ehealth.businessconnector.ehbox.v3.builders.impl.ConsultationReducedMessageBuilder

-     public class ConsultationReducedMessageBuilder
      extends AbstractConsultationBuilder<Message>

  Implementation of `AbstractConsultationBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultationReducedMessageBuilder()`
    `ConsultationReducedMessageBuilder(Crypto crypto)` Deprecated. Do not use crypto

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message<Message>` | `buildMessage(Message response)`

    - ### Methods inherited from class be.ehealth.businessconnector.ehbox.v3.builders.impl.AbstractConsultationBuilder

      `buildAddressee, buildAddressee`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultationReducedMessageBuilder

          @Deprecated
          public ConsultationReducedMessageBuilder(Crypto crypto)

      Deprecated. Do not use crypto
      creates a new `ConsultationReducedMessageBuilder`.
      Parameters:
        `cryptoSystem` -

    - #### ConsultationReducedMessageBuilder

          public ConsultationReducedMessageBuilder()

  - ### Method Detail

    - #### buildMessage

          public final Message<Message> buildMessage(Message response)
                                              throws TechnicalConnectorException,
                                                     EhboxBusinessConnectorException

      Throws:
        `TechnicalConnectorException`
        `EhboxBusinessConnectorException`
      See Also:
        `ConsultationMessageBuilder.buildMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.Message)`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.